"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
test("DisappearData type validation", async () => {
    const reports = [
        {
            "id": "Drippy",
            "reason": "transport"
        },
        {
            "id": "earthMer",
            "reason": "transport",
            "to": "bank",
            "s": 0
        },
        {
            "id": "Bjarna",
            "invis": true,
            "reason": "invis"
        },
        {
            "id": "cclair",
            "reason": "transport",
            "effect": "blink"
        },
        {
            "id": "BadgerMage",
            "reason": "transport",
            "to": "main",
            "s": 5,
            "effect": 1
        },
        {
            "id": "Oristus",
            "reason": "disconnect"
        }
    ];
    for (const report of reports)
        expect(report).not.toBe(undefined);
});
//# sourceMappingURL=adventureland-server-disappearData.test.js.map