"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
test("HitData type validation", async () => {
    const killMonster = {
        "hid": "Wolfff",
        "source": "attack",
        "pid": "wMoXut",
        "projectile": "momentum",
        "id": "808131",
        "anim": "slash1",
        "damage": 2323,
        "kill": true
    };
    expect(killMonster).not.toBe(undefined);
    const killPlayer = {
        "hid": "2884433",
        "source": "attack",
        "pid": "zNrJc9",
        "projectile": "stone",
        "id": "BadgerMage",
        "anim": "slash1",
        "damage": 51,
        "kill": true
    };
    expect(killPlayer).not.toBe(undefined);
    const burn = {
        "source": "burn",
        "hid": "Casmer",
        "id": "833320",
        "damage": 538,
        "kill": false
    };
    expect(burn).not.toBe(undefined);
    const curse = {
        "hid": "Tsumiki",
        "source": "curse",
        "pid": "Rfrh76",
        "projectile": "curse",
        "id": "808131",
        "anim": "curse",
        "damage": 0
    };
    expect(curse).not.toBe(undefined);
    const evaded = {
        "pid": "k8tW8A",
        "hid": "2866470",
        "id": "DoubleG",
        "anim": "miss",
        "damage": 0,
        "evade": true
    };
    expect(evaded).not.toBe(undefined);
    const heal = {
        "hid": "earthPri",
        "source": "heal",
        "pid": "lGUeW1",
        "projectile": "fireball",
        "id": "earthPri",
        "anim": "heal",
        "heal": 768
    };
    expect(heal).not.toBe(undefined);
    const manaSteal = {
        "hid": "Trexnamedtut",
        "source": "attack",
        "pid": "gd3S5D",
        "projectile": "fireball",
        "id": "2859937",
        "anim": "explode_c",
        "damage": 2537,
        "lifesteal": 70,
        "manasteal": 3,
        "kill": true
    };
    expect(manaSteal).not.toBe(undefined);
    const missData = {
        "pid": "JGgAkq",
        "hid": "Trexnamedtut",
        "id": "2859876",
        "anim": "miss",
        "damage": 0,
        "miss": true
    };
    expect(missData).not.toBe(undefined);
    const reflected = {
        "pid": "LPT7be",
        "hid": "3982690",
        "id": "earthPri",
        "anim": "reflect",
        "damage": 0,
        "reflect": 154
    };
    expect(reflected).not.toBe(undefined);
});
//# sourceMappingURL=adventureland-server-hitData.test.js.map